From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/isort/
Date: Thu, 27 Feb 2025 05:50:43 +0000 (UTC) [thread overview]
Message-ID: <1740635433.eef31fc0f019e0c2b62f4d5358a2f927b1c9ad8e.mgorny@gentoo> (raw)
commit: eef31fc0f019e0c2b62f4d5358a2f927b1c9ad8e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 27 05:18:19 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb 27 05:50:33 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eef31fc0
dev-python/isort: Bump to 6.0.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/isort/Manifest | 1 +
dev-python/isort/isort-6.0.1.ebuild | 85 +++++++++++++++++++++++++++++++++++++
2 files changed, 86 insertions(+)
diff --git a/dev-python/isort/Manifest b/dev-python/isort/Manifest
index f2f8fb67c3d8..b5067938819f 100644
--- a/dev-python/isort/Manifest
+++ b/dev-python/isort/Manifest
@@ -1 +1,2 @@
DIST isort-6.0.0.gh.tar.gz 831344 BLAKE2B 6fa039b902638e6fae2a64022ad0a2127d1efbd7cba5bcea94ae692bb1de134c0dfd8c89f2091302dd079749cee3f850d1252cbfac5a1105c38cec988912c439 SHA512 2dc5215182b74419d020214c32dc182c4c0893959aef3f7900a53e793982c535530d9c869a60b4eba439e7a4516e71ff366a9f6ad898936ecd7cd06fda4b6ced
+DIST isort-6.0.1.gh.tar.gz 827044 BLAKE2B bdde4a0bcc84dd444e86988c1d477c1701534d7b52db3ce8cf3d162b06ee9db2a1a705e7af3c149d2a6eac77363ce365e64895a931c3202c16cb6d31480974cb SHA512 0ca2d28b706e97c8e0bc22de58c737d551bef03326ff6aaa36f90ebc08a40d7e1d18a6068de2b2090b901231be2e6622ce5947bceb58803671dd30defe5a5ec8
diff --git a/dev-python/isort/isort-6.0.1.ebuild b/dev-python/isort/isort-6.0.1.ebuild
new file mode 100644
index 000000000000..7b8c43869340
--- /dev/null
+++ b/dev-python/isort/isort-6.0.1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A python utility/library to sort imports"
+HOMEPAGE="
+ https://github.com/PyCQA/isort/
+ https://pypi.org/project/isort/
+"
+SRC_URI="
+ https://github.com/PyCQA/isort/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/black[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/natsort[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unbundle tomli
+ sed -i -e 's:from ._vendored ::' isort/settings.py || die
+ rm -r isort/_vendored || die
+
+ distutils-r1_src_prepare
+
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ # Install necessary plugins
+ local p
+ for p in example*/; do
+ pushd "${p}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local EPYTEST_DESELECT=(
+ # relies on black 23.* output
+ tests/unit/profiles/test_black.py::test_black_pyi_file
+ # pytest-8
+ tests/unit/test_ticketed_features.py::test_isort_should_warn_on_empty_custom_config_issue_1433
+ )
+ local EPYTEST_IGNORE=(
+ # Excluded from upstream's test script
+ tests/unit/test_deprecated_finders.py
+ )
+
+ if ! has_version "dev-python/pylama[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/unit/test_importable.py
+ tests/unit/test_pylama_isort.py
+ )
+ fi
+
+ epytest tests/unit
+}
next reply other threads:[~2025-02-27 5:50 UTC|newest]
Thread overview: 117+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-02-27 5:50 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-15 12:26 [gentoo-commits] repo/gentoo:master commit in: dev-python/isort/ Michał Górny
2025-03-15 12:16 Arthur Zamarin
2025-02-28 13:18 Michał Górny
2025-02-15 9:53 Michał Górny
2025-02-15 9:07 Arthur Zamarin
2025-01-28 5:31 Michał Górny
2024-06-29 8:17 Petr Vaněk
2024-03-26 10:49 Michał Górny
2023-12-30 14:25 Arthur Zamarin
2023-12-14 13:58 Michał Górny
2023-12-12 6:32 Michał Górny
2023-12-10 17:15 Michał Górny
2023-12-10 6:45 Michał Górny
2023-11-17 10:44 Andrew Ammerlaan
2023-11-06 13:22 Michał Górny
2023-03-11 9:49 Michał Górny
2023-03-11 8:11 Arthur Zamarin
2023-02-07 14:50 Michał Górny
2023-02-07 14:50 Michał Górny
2023-01-29 7:13 Michał Górny
2023-01-13 14:50 Sam James
2022-12-23 7:30 Arthur Zamarin
2022-12-17 12:34 Michał Górny
2022-12-14 6:31 Michał Górny
2022-12-13 19:53 Arthur Zamarin
2022-11-07 21:27 Andrew Ammerlaan
2022-10-13 13:36 Michał Górny
2022-10-12 14:52 Michał Górny
2022-03-15 14:10 Michał Górny
2022-03-15 11:44 Jakov Smolić
2022-01-31 8:32 Michał Górny
2022-01-08 13:35 Michał Górny
2022-01-08 13:31 Arthur Zamarin
2021-12-09 22:51 Michał Górny
2021-12-09 22:01 Arthur Zamarin
2021-12-07 8:40 Joshua Kinard
2021-11-17 8:00 Sam James
2021-11-09 10:23 Michał Górny
2021-11-03 20:53 Michał Górny
2021-10-14 4:45 Sam James
2021-10-11 0:45 Sam James
2021-09-25 22:00 Michał Górny
2021-09-25 19:53 Sam James
2021-09-25 13:09 James Le Cuirot
2021-08-25 23:39 Louis Sautier
2021-08-03 11:37 Michał Górny
2021-07-30 5:55 Michał Górny
2021-07-27 20:35 Sam James
2021-07-26 11:17 Sam James
2021-07-26 0:43 Sam James
2021-07-25 20:09 Sam James
2021-07-25 8:52 Agostino Sarubbo
2021-07-25 3:16 Matt Turner
2021-07-25 1:04 Sam James
2021-07-09 7:26 Michał Górny
2021-06-26 1:34 Sam James
2021-06-24 17:37 Sergei Trofimovich
2021-06-24 17:33 Sergei Trofimovich
2021-06-24 17:32 Sergei Trofimovich
2021-06-22 8:13 Michał Górny
2021-06-22 5:54 Michał Górny
2021-04-21 19:25 Michał Górny
2021-04-21 18:55 Sam James
2021-03-21 7:51 Michał Górny
2021-02-19 2:54 Sam James
2020-12-31 7:41 Sam James
2020-12-31 7:41 Sam James
2020-12-31 6:26 Sam James
2020-12-31 6:26 Sam James
2020-12-31 6:26 Sam James
2020-12-15 22:10 Sergei Trofimovich
2020-12-14 0:46 Sam James
2020-12-13 10:09 Sam James
2020-12-13 0:34 Sam James
2020-12-13 0:16 Sam James
2020-12-07 4:30 Matt Turner
2020-11-28 15:36 Sam James
2020-11-28 15:36 Sam James
2020-10-16 21:56 Sergei Trofimovich
2020-10-13 9:02 Louis Sautier
2020-10-11 23:44 Sam James
2020-10-11 15:47 Louis Sautier
2020-10-11 15:29 Louis Sautier
2020-09-22 6:23 Michał Górny
2020-07-05 19:06 Michał Górny
2020-06-21 21:26 Sergei Trofimovich
2020-06-06 21:46 Mart Raudsepp
2020-06-06 18:01 Michał Górny
2020-06-03 6:59 Sergei Trofimovich
2020-05-30 11:51 Michał Górny
2020-05-30 7:12 Michał Górny
2020-04-15 5:54 Mike Gilbert
2020-04-14 6:49 Sergei Trofimovich
2020-03-25 13:00 Michał Górny
2020-03-25 13:00 Michał Górny
2020-03-18 18:39 Michał Górny
2020-03-16 21:09 Michał Górny
2019-12-26 23:49 Aaron Bauman
2019-12-24 20:11 Mikle Kolyada
2019-12-24 20:11 Mikle Kolyada
2019-12-17 19:58 Sergei Trofimovich
2019-12-03 16:08 Aaron Bauman
2019-03-18 3:08 Virgil Dupras
2018-11-11 16:31 Pacho Ramos
2018-05-11 22:09 Patrice Clement
2017-11-28 20:48 Sergei Trofimovich
2017-09-14 2:32 Tim Harder
2017-07-07 17:45 Alexis Ballier
2017-06-16 7:57 Sergei Trofimovich
2017-05-26 14:59 Agostino Sarubbo
2017-05-24 13:46 Agostino Sarubbo
2017-05-09 16:30 Markus Meier
2017-04-24 12:44 Tobias Klausmann
2017-04-23 12:40 Agostino Sarubbo
2017-03-12 23:05 Zac Medico
2017-01-03 3:18 William Hubbs
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1740635433.eef31fc0f019e0c2b62f4d5358a2f927b1c9ad8e.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox